MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002498VCMIMechanics - Battlespublic2016-09-21 21:552016-11-30 07:40
ReporterPovelitel 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002498: spell "chain lightning" works incorrect
Descriptionhit the first a unit almost painless. and spel should works on 4 target on advanced/expert, not 6.

//из физмига: базовое: Мгновенно наносит СМ*40+25 урона цели, затем наносит 0,5*(СМ*40+25) урона ближайшему существу или боевой машине, затем 0,25*(СМ*40+25) урона ближайшему ко второй цели, затем 0,125*(СМ*40+25) урона ближайшему к третьей цели.

продвинутое: То же, но СМ*40+50 урона первой цели + 0,0625*(СМ*40+50) урона ближайшему к четвёртой цели.

эксперт: То же, но СМ*40+100 урона первой цели.

Тут же она первого почти не цепляет, а действует аж на шесть целей (видел такое на эксперте воздуха)
TagsNo tags attached.
Attached Filespng file icon vcmi.png [^] (603,490 bytes) 2016-09-22 13:15


png file icon Sod.png [^] (498,698 bytes) 2016-09-22 13:15


? file icon SXX_chain_lighting.h3m [^] (2,014 bytes) 2016-09-23 06:10

- Relationships

-  Notes
(0006707)
AVS (administrator)
2016-09-22 12:51

на счет первой цели: там порядок целей был не правильный (случайный) это пофиксено в https://github.com/vcmi/vcmi/pull/198 [^]

на счет 6 целей: уверен? у нас щас 5 на advanced/expert (причем это так явно указано, что типа так и надо). Надо уточнить как работает в героях, физмиг тоже наврать может.
(0006710)
Povelitel (updater)
2016-09-22 13:15

Сори, втупил немного. Когда нападал на компа показалось 7 стеков, отнял единичку. В общем да, действует на 5.

проверил в Н3:

на эксперте воздуха - 5.
на продвинутом - 5.
на базовом - 4.
без воздуха - 4.

Скрины проводил на продвинутой магии воздуха. Версию юзал Арсения аватосборок от 21 сентября.
(0006712)
AVS (administrator)
2016-09-22 13:32

Тогда все нормально.
Тесты магии лучше конечно делать на PR198 там реально много изменений.
(0006727)
SXX (administrator)
2016-09-23 06:11

Tested. In PR198 damage of chain lighting exactly the same as in H3.

- Issue History
Date Modified Username Field Change
2016-09-21 21:55 Povelitel New Issue
2016-09-21 21:55 Povelitel Status new => assigned
2016-09-21 21:55 Povelitel Assigned To => AVS
2016-09-22 12:51 AVS Note Added: 0006707
2016-09-22 13:15 Povelitel Note Added: 0006710
2016-09-22 13:15 Povelitel File Added: vcmi.png
2016-09-22 13:15 Povelitel File Added: Sod.png
2016-09-22 13:32 AVS Note Added: 0006712
2016-09-23 06:10 SXX File Added: SXX_chain_lighting.h3m
2016-09-23 06:11 SXX Note Added: 0006727
2016-09-23 06:11 SXX Status assigned => resolved
2016-09-23 06:11 SXX Fixed in Version => 0.99
2016-09-23 06:11 SXX Resolution open => fixed
2016-11-30 07:40 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean